import { QueryList } from '@angular/core';
import { NxApplyActionTargetDirective } from './nx-apply-action-classes-target.directive';
import * as i0 from "@angular/core";
export declare class NxApplyActionParentDirective {
    hover: import("@angular/core").WritableSignal<boolean>;
    onMouseEnter(): void;
    onMouseLeave(): void;
    nxActionClassesParent: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    nxActionClassesParentInherit: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    focus: import("@angular/core").WritableSignal<boolean>;
    onFocus(): void;
    onBlur(): void;
    active: import("@angular/core").WritableSignal<boolean>;
    onMouseDown(): void;
    onMouseUp(): void;
    classes: import("@angular/core").Signal<{
        nxHovered: boolean;
        nxFocused: boolean;
        nxActive: boolean;
    }>;
    actionClassTargets: import("@angular/core").WritableSignal<NxApplyActionTargetDirective[]>;
    set actionClassTargetsQuerySetter(query: QueryList<NxApplyActionTargetDirective>);
    protected bindToChildren: import("@angular/core").EffectRef;
    protected propagateClasses: import("@angular/core").EffectRef;
    static ɵfac: i0.ɵɵFactoryDeclaration<NxApplyActionParentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NxApplyActionParentDirective, "[nxActionClassesParent], [nxActionClassesParentInherit], nx-action-classes-parent", never, { "nxActionClassesParent": { "alias": "nxActionClassesParent"; "required": false; "isSignal": true; }; "nxActionClassesParentInherit": { "alias": "nxActionClassesParentInherit"; "required": false; "isSignal": true; }; }, {}, ["actionClassTargetsQuerySetter"], never, true, never>;
}
